aboutsummaryrefslogtreecommitdiff
path: root/support/dependencies/dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'support/dependencies/dependencies.sh')
-rwxr-xr-xsupport/dependencies/dependencies.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index c1bd614edf..b44d28682c 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -180,6 +180,12 @@ if test "${missing_progs}" = "yes" ; then
exit 1
fi
+# apply-patches.sh needs patch with --no-backup-if-mismatch support (GNU, busybox w/DESKTOP)
+if ! patch --no-backup-if-mismatch </dev/null 2>/dev/null; then
+ echo "Your patch program does not support the --no-backup-if-mismatch option. Install GNU patch"
+ exit 1
+fi
+
if grep ^BR2_NEEDS_HOST_UTF8_LOCALE=y $BR2_CONFIG > /dev/null; then
if ! which locale > /dev/null ; then
echo